
// This program reads the jumper number specified on the command line and 
// returns a DOS error level of 0 is the jumper is removed and 1 if installed.


#include <stdio.h>

void Usage( void );
			  
int main(int argc, char *argv[])
{
	unsigned char mask;
	unsigned char temp;
	char *Dummy;
    unsigned char jumper = strtoul( argv[1], &Dummy, 16 );

	if( argc < 2 ) Usage();


	switch( jumper ) {
		case 1:		mask=0x02;	break;
		case 2:		mask=0x04;	break;
		case 3:		mask=0x08;	break;
		case 4:		mask=0x10;	break;
		case 5:		mask=0x20;	break;
		case 8:		mask=0x80;	break;
		default:	Usage();	break;
	}


	temp = inportb( 0x77 );

	if( temp & mask )
		return 1;
	else
		return 0;

}


void Usage( void ) {
	printf("Usage:\n");
	printf("jumper.exe returns a DOS error code of 1 if the jumper is installed\n");
	printf("or returns an error code of 0 if the jumper is not installed.\n");
	printf("The command line parameter is the jumper number to detect.\n");
	printf("Jumpers 1,2,3,4,5,8 on the TS-5x00 products are supported.\n");

	exit( 0 );
}

